<div class="@containerInner">
    <div class="bd-search-wrapper">
        @if (showButton) {
            @if (buttonPosition === 'left') {
            <div class="bd-button-wrapper">
                {{ search_button|raw }}
            </div>
            }
            <div class="bd-input-wrapper">
                @include("input")
            </div>
            @if (buttonPosition === 'right') {
            <div class="bd-button-wrapper">
                {{ search_button|raw }}
            </div>
            }
        } else {
            @include("input")
            @include("icon")
        }
    </div>
</div>
<script>
    jQuery('@(selector) @(icon.selector)').bind('click', function (e) {
        e.preventDefault();
        jQuery('#{{ form_id_attr }}').submit();
    });
</script>
